package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HRDutyEdu;
/**
 * 关系型数据实体[HRDutyEdu] 查询条件对象
 */
@Slf4j
@Data
public class HRDutyEduSearchContext extends QueryWrapperContext<HRDutyEdu> {

	private String n_hrdutyeduname_like;//[教育]
	public void setN_hrdutyeduname_like(String n_hrdutyeduname_like) {
        this.n_hrdutyeduname_like = n_hrdutyeduname_like;
        if(!ObjectUtils.isEmpty(this.n_hrdutyeduname_like)){
            this.getSearchCond().like("hrdutyeduname", n_hrdutyeduname_like);
        }
    }
	private String n_importance_eq;//[重要性]
	public void setN_importance_eq(String n_importance_eq) {
        this.n_importance_eq = n_importance_eq;
        if(!ObjectUtils.isEmpty(this.n_importance_eq)){
            this.getSearchCond().eq("importance", n_importance_eq);
        }
    }
	private String n_hrdutyid_eq;//[职务标识]
	public void setN_hrdutyid_eq(String n_hrdutyid_eq) {
        this.n_hrdutyid_eq = n_hrdutyid_eq;
        if(!ObjectUtils.isEmpty(this.n_hrdutyid_eq)){
            this.getSearchCond().eq("hrdutyid", n_hrdutyid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrdutyeduname", query)   
            );
		 }
	}
}



